Replace a vendor credit

Update the number of line items in a vendor credit. You can also update other vendor credit details.

You can use the PUT operation to add, remove, or replace the number of line items in a vendor credit. A set of rules apply with the PUT operation.

  • When you add a new line item, a new line item id is generated in the vendor credit.
  • When you omit an existing line item id, the line item is removed from the vendor credit.
Path Params
string
required
length ≥ 1

BILL-generated ID of the vendor credit. The value begins with vcr.

Body Params
string
required
length ≥ 1

BILL-generated ID of the vendor. The value begins with 009.

string
required
length between 1 and 100

User-generated vendor credit number. This value can be in your chosen number scheme.

date
required

Vendor credit issued date. This value is in the yyyy-MM-dd format.

string

Vendor credit description

string

BILL-generated ID of the chart of accounts used when the vendor credit is applied to a bill payment. The value begins with 0ca.

string

BILL-generated ID of the bank account used when the vendor credit is applied to a bill payment. The value begins with bac.

Note: You can set only one of applyToChartOfAccountId or applyToBankAccountId.

vendorCreditLineItems
array of objects
required
length ≥ 1

Vendor credit line item information

vendorCreditLineItems*
string

BILL-generated ID of the vendor credit line item. The value begins with vci.

string

Vendor credit line item description

number
required

Vendor credit line item amount. For a vendor credit in an international currency (not USD), this value is in the local currency.

classifications
object

General ledger classifications information for the vendor credit line item

Headers
string | null

API session ID generated with /v3/login

string | null

Developer key generated with your BILL developer account

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json